import { PostgresConnectionOptions } from 'typeorm/driver/postgres/PostgresConnectionOptions';
export declare class DatabaseConfig implements PostgresConnectionOptions {
    readonly entities: any[];
    readonly migrations: any[];
    container: string;
    username: string;
    password: string;
    host: string;
    database: string;
    port: number;
    synchronize: boolean;
    schema: string;
    type: any;
    cli: {
        migrationsDir: string;
        subscribersDir: string;
        entitiesDir: string;
    };
    constructor(entities: any[], migrations: any[]);
}
