import { OnModuleInit } from '@nestjs/common';
import { Connection } from 'typeorm';
import { DatabaseConfig } from '../database.config';
export declare class MigrationService implements OnModuleInit {
    private readonly connection;
    private readonly databaseConfig;
    schema: any;
    constructor(connection: Connection, databaseConfig: DatabaseConfig);
    onModuleInit(): Promise<void>;
    applySchemaToDatabase(_version: number): Promise<void>;
    buildSchema(version: number): Promise<void>;
    private writeSchemaToDisk;
    private buildSchemaRaw;
    private getTemplate;
}
